/* Hdf_common.hpp */

#ifndef HDF_COMMON_HPP
#define HDF_COMMON_HPP

#include <string>
#include "mfhdf.h"

namespace Hdf_common {
  const char *Hdf_common::hdf_access_mode(const int32 mode);
  std::string Hdf_common::hdf_type_info(const int32 data_type);
  const int32 Hdf_common::hdf_int32_type(const char* data_type);
  const char *Hdf_common::hdf_cstr_type(const int32 data_type); // static buffer inside
  size_t Hdf_common::hdf_sizeof(const int32 data_type);
  const char *Hdf_common::hdf_format_string(const int32 data_type); // static buffer inside
}

#endif
