/* msg_sds.h */

#ifndef MSG_SDS_H
#define MSG_SDS_H

#include "sds_props.h"

static sds_props_t sds[] = {
  /* name                   data_type     rank        cal  cal_err  offset  offset_err */
  { "Moving_Sat_Time",      DFNT_UINT32,  2,          1.,  0.,      0.,     0. },
  { "Seviri_Acq_Time",      DFNT_UINT32,  2,          1.,  0.,      0.,     0. },
  { "Latitude",             DFNT_FLOAT32, 2,          1.,  0.,      0.,     0. },
  { "Longitude",            DFNT_FLOAT32, 2,          1.,  0.,      0.,     0. },
  { "Row",                  DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "Column",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "VIS006",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "VIS008",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "IR_016",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "IR_039",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "WV_062",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "WV_073",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "IR_087",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "IR_097",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "IR_108",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "IR_120",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "IR_134",               DFNT_UINT16,  2,          1.,  0.,      0.,     0. }
  /*
  { "p1smglobe", DFNT_UINT8,   2,          1.,  0.,      0.,     0. },
  { "p1sqglobe", DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "p1stglobe", DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "p2sqglobe", DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "p2stglobe", DFNT_UINT8,   2,          1.,  0.,      0.,     0. },
  { "p3shglobe", DFNT_UINT8,   2,          1.,  0.,      0.,     0. },
  { "p3snglobe", DFNT_UINT8,   2,          1.,  0.,      0.,     0. },
  { "p3spglobe", DFNT_UINT8,   2,          1.,  0.,      0.,     0. },
  { "p3sqglobe", DFNT_UINT16,  2,          1.,  0.,      0.,     0. },
  { "p3stglobe", DFNT_UINT8,   2,          1.,  0.,      0.,     0. }
  */
};

#define NUMBER_OF_SDS ( sizeof(sds)/sizeof(*sds) )

#endif
