/* ntohll.h */

#ifndef _NTOHLL_H_
#define _NTOHLL_H_

#include <stdint.h>
#include <netinet/in.h>

/* protection against local macro definitions */
#undef ntohll
#undef htonll

/** \brief converts long long integers (64 bits) from network (big endian) to host representation */
uint64_t ntohll(uint64_t n);

/** \brief converts long long integers (64 bits) from host to network (big endian) representation */
uint64_t htonll(uint64_t n);

#endif
