/* seviri_read_raw.c */

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include "seviri_read_raw.h"

void seviri_read_raw(const char *filename, float *buffer) {
  
  FILE *stream;
  const int npixels = 3712*3712;
  size_t nread;

  stream = fopen(filename, "r");
  if (stream == NULL) {
    perror(filename);
    exit(EXIT_FAILURE);
  }
  
  nread = fread(buffer, npixels*sizeof(float), 1, stream);
  if (nread != 1) {
     perror(filename);
     exit(EXIT_FAILURE);
  }

  if (fclose(stream)) {
    perror(filename);
    exit(EXIT_FAILURE);
  }

}
