/* custom_timegm.c */

#include "custom_timegm.h"

#include <stdlib.h>

time_t custom_timegm (struct tm *tm) {
  time_t ret;
  char *tz;
  
  tz = getenv("TZ");
  setenv("TZ", "", 1);
  tzset();
  ret = mktime(tm);
  if (tz)
    setenv("TZ", tz, 1);
  else
    unsetenv("TZ");
  tzset();
  return ret;
}
